# Generated by Django 3.1 on 2020-10-20 08:15

from django.db import migrations

default_categories = [
    {"name": "Person Status", "slug": "personstatus"},
    {"name": "Title", "slug": "title"},
    {"name": "Gender", "slug": "gender"},
    {"name": "Legal Type", "slug": "legaltype"},
    {"name": "Address Type", "slug": "addresstype"},
    {"name": "Address Status", "slug": "addressstatus"},
    {"name": "Phone Type", "slug": "phonetype"},
    {"name": "Salutation", "slug": "salutation"},
]


class Migration(migrations.Migration):
    def create_core_categories(apps, schema_editor):
        Category = apps.get_model("core.Category")
        for values in default_categories:
            Category.objects.create(**values)

    def delete_core_categories(apps, schema_editor):
        Category = apps.get_model("core.Category")
        for values in default_categories:
            Category.objects.filter(**values).delete()

    dependencies = [
        ("core", "0005_naturalperson_date_of_birth"),
    ]

    operations = [migrations.RunPython(create_core_categories, delete_core_categories)]
