# Generated by Django 3.1.1 on 2020-10-23 14:44

from django.db import migrations

default_terms = [
    {"category": "personstatus", "term": "Active"},
    {"category": "personstatus", "term": "Inactive"},
    {"category": "title", "term": "Herr"},
    {"category": "title", "term": "Frau"},
    {"category": "gender", "term": "unknown"},
    {"category": "gender", "term": "male"},
    {"category": "gender", "term": "female"},
    {"category": "legaltype", "term": "Church"},
    {"category": "legaltype", "term": "Business"},
    {"category": "legaltype", "term": "Association"},
    {"category": "addresstype", "term": "Business"},
    {"category": "addresstype", "term": "Private"},
    {"category": "addressstatus", "term": "Active"},
    {"category": "addressstatus", "term": "Inactive"},
    {"category": "phonetype", "term": "Private"},
    {"category": "phonetype", "term": "Business"},
    {"category": "salutation", "term": "Mr."},
    {"category": "salutation", "term": "Ms."},
    {"category": "salutation", "term": "Mrs."},
    {"category": "salutation", "term": "Dr."},
]


class Migration(migrations.Migration):
    def create_core_terms(apps, schema_editor):
        Term = apps.get_model("core.Term")
        Category = apps.get_model("core.Category")
        for values in default_terms:
            Term.objects.create(
                category=Category.objects.get(slug=values["category"]),
                term=values["term"],
            )

    def delete_core_terms(apps, schema_editor):
        Term = apps.get_model("core.Term")
        Category = apps.get_model("core.Category")
        for values in default_terms:
            Term.objects.filter(
                category=Category.objects.get(slug=values["category"]),
                term=values["term"],
            ).delete()

    dependencies = [
        ("core", "0006_preload_categories"),
    ]

    operations = [migrations.RunPython(create_core_terms, delete_core_terms)]
